Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db.marshal
Class BytesType

    java.lang.Object
      org.apache.cassandra.db.marshal.AbstractType
          org.apache.cassandra.db.marshal.BytesType

All Implemented Interfaces:
  java.util.Comparator<byte[]>

Direct Known Subclasses:
  AsciiType, UTF8Type

    public class BytesType

extends AbstractType

Constructor Summary
`BytesType()`

Method Summary
`int` | `compare(byte[] o1, byte[] o2)`
`java.lang.String` | `getString(byte[] bytes)` get a string representation of the bytes suitable for log messages

Methods inherited from class org.apache.cassandra.db.marshal.AbstractType
`equals, getColumnsString, getReverseComparator, getString, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BytesType

    public BytesType()

Method Detail

### compare

    public int compare(byte[] o1,
                       byte[] o2)

### getString

    public java.lang.String getString(byte[] bytes)

  Description copied from class: `AbstractType`
  get a string representation of the bytes suitable for log messages

  Specified by:
    `getString` in class `AbstractType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation